после обновления подохла вся графика

Автор starlayt, 31 июля 2015, 17:39:29

« назад - далее »

0 Пользователи и 1 гость просматривают эту тему.

starlayt

Раньше уже было нечто похожее, когда кеды не хотели признавать OpenGL, со временем прошло. В общем, я сижу на testing, недавно обновлялся, как и обычно. Названия пакетов, к сожалению, не помню, но несколько были как раз для KDE. После перезагрузки вот такой ужас, настройки не открываются. Из того, что смогло открытся, пробовал менять тему оформления окон - результата ноль. В каком направлении вообще копать?


ihammers

Цитата: starlayt от 31 июля 2015, 17:39:29В общем, я сижу на testing, недавно обновлялся, как и обычно.
Если вы используете тестинг, то должны понимать, что что-то может сломаться при обновлении на то он и тестинг.
[ot]Причина поломки связана с переходом KDE4 на новый KDE plasma.[/ot]
Debian GNU/Linux Stretch, kernel 4.9.0-5-amd64,
LXQt/KDE/OpenBox AMD Phenon X4 / 16Gb RAM / ATI HD7750 Silent
_______________________________
Debian GNU/Linux Stretch, kernel 4.9.0-5-amd64, LXQt/KDE/OpenBox
Acer Aspire One 722 AMD C60 / 4Gb RAM / ATI HD6290

starlayt

Так у меня же и была плазма, какой еще переход?

starlayt

придется еще и зависимости ковырять :(
Открыть содержимое (спойлер)
Пакеты, которые будут УДАЛЕНЫ:
  bluedevil breeze breeze-cursor-theme breeze-icon-theme catdoc
  debconf-kde-data fonts-oxygen kde-config-gtk-style kde-config-sddm
  kde-style-breeze kde-style-breeze-qt4 kde-style-oxygen-qt5 kde-style-qtcurve
  kded5 khotkeys khotkeys-data kio-extras kio-extras-data kwin-style-breeze
  kwin-style-qtcurve kwrited libdebconf-kde1 libkdecorations4
  libkf5activitiesexperimentalstats1 libkf5baloo1 libkf5balooxapian1
  libkf5bluezqt-data libkf5bluezqt5 libkf5dnssd-data libkf5dnssd5
  libkf5emoticons-bin libkf5emoticons-data libkf5emoticons5
  libkf5filemetadata-bin libkf5filemetadata-data libkf5filemetadata3
  libkf5notifyconfig-data libkf5notifyconfig5 libkf5people-data libkf5people5
  libkf5peoplebackend5 libkf5peoplewidgets5 libkf5style5 libkfontinst5
  libkfontinstui5 libkworkspace5-5 libmuon libopenobex1 liboxygenstyle5-5
  liboxygenstyleconfig5-5 libpoppler-qt5-1 libqapt3 libqapt3-runtime
  libqca-qt5-2 libqca-qt5-2-plugins libssh-4 libtaskmanager5 libxcb-record0
  muon-common muon-discover muon-notifier muon-updater obex-data-server
  oxygen-sounds python3-pykde4 python3-pyqt4 python3-sip
  python3-software-properties qapt-batch qml-module-org-kde-bluezqt
  qml-module-org-kde-kwindowsystem qml-module-qtquick-controls-styles-breeze
  software-properties-common software-properties-kde unattended-upgrades
[свернуть]

starlayt

Проблема решилась полной переустановкой: http://forum.ubuntu.ru/index.php?topic=264239.0
Темку закрываю, тут все равно активность по нулям.

endru

starlayt, ссылка ведет на авторизацию.
лучше бы описал своими словами как решил её, чем кидать ссылку на сторонний ресурс.

starlayt

Опа, я думал там без авторизации можно форум читать. Да просто:
apt-get purge kde5*
apt-get autoremove
apt-get install kde-full
apt-get install kde-l10n-ru

Лог установки не вел, забил. На глазок - куча других пакетов, хоть тот же systemsettings5. Старый systemsettings (которого в системе больше нет) видимо не судьба обновить было. Все через жопу сделали, я в шоке от такого обновления. В этом и вся причина проблемы. Это не только у меня, на форуме убунты есть похожие жалобы, у кого-то вообще не грузятся кеды.

Сейчас есть проблема с plasmashell, эта гадина выжирает проц на 100% из-за некоторых виджетов. А так новыми кедами в целом доволен, тормозов нет, эффекты классные, темки все есть как и раньше. Вот правда виджетов капец мало в репозитории. Ну еще иконка скайпа в трее не показывается.
Открыть содержимое (спойлер)
[свернуть]

ferum

Открыть содержимое (спойлер)
[ot]Я тоже предпочитаю кеды но чёрный только для консоли, ненавижу темноту[/ot]
[свернуть]
Русские дебианщики против цифрового слабоумия !

Александр Кряжев

Цитата: starlayt от 10 августа 2015, 13:10:19я в шоке от такого обновления
Почему? Нужно быть готовым к такому, если "сижу на testing". ;)

ioann.sys

Было-бы круто, если гуру сделают один цельный пакет plasma (kde5), который правильно потянет зависимости (sid, testing).

offtop: kde'ды, потому что Qt. Да и дело привычки  :D, интересно, а вредная-ли привычка?
Debian GNU/Linux jessie/sid on notebook ASUS N750JK

starlayt

ioann.sys, кто-то говорил, что нужно systemsetting5 поставить и некоторые зависимости притянутся. Но этого не достаточно, он описывал кучу траблов, значит зависимости были подтянуты не все. К тому же мусора много разведется. Я бы вот не стал вручную так обновлять, настройка под себя занимает минут 30 от силы.
Открыть содержимое (спойлер)
http://forum.ubuntu.ru/index.php?topic=247098.0
http://forum.ubuntu.ru/index.php?topic=260447.0
там секса больше чем в полной переустановке :(
[свернуть]

Ben-zin

#11
А куда пропали из репозитория digikam и calligra? Из сида, после обновления, ставиться не хотят.

Так же после обновления плазмы что-то странное случилось со сглаживанием шрифтов - вроде работает, но как-то не так, по всем кедам буквы стали хуже, чем раньше.

Cообщение объединено 04 октября 2015, 18:51:08

Блин, вот нафиг обновил? Багов вагон до сих пор :(.

starlayt

Ben-zin, поздравляю с выстрелом в ногу. А я снес все и вкатил Jessie, больше никаких testing обновлений.

ioann.sys

Сижу на stretch, полёт нормальный. Конечно-же есть мелкие недочёты (например, Skype не видит systemtray, два регулятора громкости (kmix и еще что-то)). Но больше всего меня огорчает то, что нельзя отключить композит для полно-экранных приложений при работе OpenGL 2 || OpenGL 3.1. Появляется уведомление, что типа не все видеокарты поддерживают данную фитчу. Пока сижу на Xrender.

Debian GNU/Linux jessie/sid on notebook ASUS N750JK